package junit;

public class TestInitializer
{
    private static TestInitializer init;
    private int testCaseCnt = 0;

    public static void initialize()
    {
        if ( init == null )
        {
            init = new TestInitializer();
        }
    }

    public static int getTestCaseCnt()
    {
        if ( init == null )
        {
            init = new TestInitializer();
        }
        return init.testCaseCnt;
    }

    public static void increaseTestCaseCnt()
    {
        if ( init == null )
        {
            init = new TestInitializer();
        }
        init.testCaseCnt++;
    }

    private TestInitializer()
    {}

    public static void main( String args[] )
    {
        TestInitializer.initialize();
    }
}
