package sample.vo;

import org.springframework.data.mongodb.core.mapping.Document;

@Document(collection="customer")
public class ChildCustomer extends Customer
{
    private String email;

    public ChildCustomer()
    {}

    public ChildCustomer( String firstName, String lastName, String email )
    {
        super( firstName, lastName );
        this.email = email;
    }

    @Override
    public String toString()
    {
        return String.format( "ChildCustomer[email='%s'], ", email ) + super.toString();
    }
}
