package sample.vo;

import java.util.List;

import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;

@Document
public class Customer
{
    @Id
    private String id;

    private String firstName;

    private String lastName;
    private List comment;


    public String getId()
    {
        return id;
    }

    public void setId( String id )
    {
        this.id = id;
    }
    public List getComment()
    {
        return comment;
    }

    public void setComment( List comment )
    {
        this.comment = comment;
    }

    public Customer()
    {}

    public Customer( String firstName, String lastName )
    {
        this.firstName = firstName;
        this.lastName = lastName;
    }

    public void setFirstName( String firstName )
    {
        this.firstName = firstName;
    }

    public void setLastName( String lastName )
    {
        this.lastName = lastName;
    }
    public String getFirstName()
    {
        return firstName;
    }

    public String getLastName()
    {
        return lastName;
    }

    @Override
    public String toString()
    {
        return String.format( "Customer[id='%s', firstName='%s', lastName='%s']", id, firstName, lastName );
    }
}
